%define name	solfege
%define version 3.6.5
%define release %mkrel 4

Name: 	 	%{name}
Summary: 	An ear-training program
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/solfege/%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Patch0:		solfege-fix-desktop.patch
URL:		http://solfege.sourceforge.net
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	swig-devel python-devel
BuildRequires:	pkgconfig gettext texinfo
BuildRequires:  gnome-python
BuildRequires:  docbook-style-xsl libxslt-proc
BuildRequires:  pygtk2.0-devel desktop-file-utils
Requires:	pygtk2.0 swig
Requires:	gnome-python gnome-python-gtkhtml2 gnome-python-gnomevfs
Requires:	TiMidity++

%description
GNU Solfege is an ear-training program. These are the exercises written so far:
    * Recognise melodic and harmonic intervals
    * Compare interval sizes
    * Sing the intervals the computer asks for
    * Identify chords
    * Sing chords
    * Scales
    * Dictation
    * Remembering rhythmic patterns

%prep
%setup -q
# (tv) fix desktop entry so that desktop-file-install doesn't delete it:
%patch0 -p0

%build
FILE=$(ls %_datadir/sgml/docbook/xsl-stylesheets-1.*/html/chunk.xsl)
%configure2_5x --enable-docbook-stylesheet=$FILE
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# menu

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="AudioVideo;Audio" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name
%find_lang %name-intervallnames
cat %name-intervallnames.lang >> %name.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog FAQ 
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/sol*
%{_mandir}/man1/*
%{_libdir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Wed Feb 04 2009 Olivier Blin <oblin@mandriva.com> 3.6.5-4mdv2008.1
+ Revision: 337456
- bump release (to catch up Gdium release numbering)
- require TiMidity++

* Fri Dec 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.6.5-2mdv2008.1
+ Revision: 119925
- patch 0: fix desktop entry so that desktop-file-install doesn't delete it
- rebuild b/c of missing subpackage on ia32

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 3.6.5-1mdv2008.0
+ Revision: 16598
- 3.6.5
- BuildRequires libxslt-proc


* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 3.0.6-3mdv2007.0
- add buildrequires desktop-file-utils

* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 3.0.6-2mdv2007.0
- fix requires
- xdg menu

* Wed May 03 2006 Emmanuel Andry <eandry@free.fr> 3.0.6-1mdk
- 3.0.6
- removed pygtk-devel as it now use pygtk2.0-devel
- removed pygnome-devel because not available anymore

* Wed Oct 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.9.1-2mdk
- Fix BuildRequires
- %%mkrel

* Thu Jun 16 2005 Lenny Cartier <lenny@mandriva.com> 2.9.1-1mdk
- 2.9.1

* Mon Sep 13 2004 Austin Acton <austin@mandriva.org> 2.4.0-1mdk
- 2.4.0
- requires gnome-python-gnomevfs (Simon Oplatka Wenger)
- configure 2.5
- fudge date since nobody wants to fix it (s/b Thu May 26 2005)

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Thu Jun 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5

* Sun May 16 2004 Michael Scherer <misc@mandrake.org> 2.0.4-2mdk 
- add Requires
- xsl stylesheet autodetection

* Sun Feb 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.4-1mdk
- 2.0.4
- Own dir

